import MetalKit

struct GameScene {


lazy var house: Model = {
  Model(name: "lowpoly-house.obj")
}()
lazy var ground: Model = {
  var ground = Model(name: "plane.obj")
  ground.tiling = 16
  ground.scale = 40
  return ground
}()
lazy var models: [Model] = [ground, house]
    
    mutating func update(deltaTime: Float) {
      ground.scale = 40
        camera.update(deltaTime: deltaTime)
        house.position.y += 0.005
        
        if InputController.shared.keysPressed.contains(.keyH) {
            print("H key pressedhH")
        }
        
        
    }

var camera = FPCamera()
    
    init() {
        camera.position = [0, 1.5, -5]
    }
    
    mutating func update(size: CGSize) {
      camera.update(size: size)
    }

}
